-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/45141/#review124702
-----------------------------------------------------------




ambari-common/src/main/python/resource_management/libraries/functions/stack_features.py
 (line 32)
<https://reviews.apache.org/r/45141/#comment187340>

    Use default function instead? 
    
      from resource_management.libraries.functions.default import default
      stack_features_config = 
default("/configurations/cluster-env/stack_tools", None)
      data = _DEFAULT_STACK_FEATURES
      if stack_features_config:
        data = json.loads(stack_features_config)



ambari-common/src/main/python/resource_management/libraries/functions/stack_features.py
 (line 33)
<https://reviews.apache.org/r/45141/#comment187339>

    To avoid issues with ambari-server upgrade, lets set a 
DEFAULT_STACK_FEATURES same as what we have for HDP until we fix the 
ambari-server upgrade scenario (i.e. on ambari-server upgrade we will not have 
stack_features config in the cluster). (See stack_tools.py, copy_tarball.py as 
reference).



ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/params_linux.py
 (line 35)
<https://reviews.apache.org/r/45141/#comment187329>

    Add:-
    
    stack_root = Script.get_stack_root()



ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/params_linux.py
 (line 55)
<https://reviews.apache.org/r/45141/#comment187330>

    Replace "/usr/hdp" with "{stack_root}"



ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/params_linux.py
 (line 58)
<https://reviews.apache.org/r/45141/#comment187333>

    Leave config_dir logic as is as noted in my comment on status_params.py



ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/status_params.py
 
<https://reviews.apache.org/r/45141/#comment187331>

    We need to define config_dir in status_params as it will cause issue during 
zookeeper_server::security_status checks as only status_params is imported in 
security_status()
    
      def security_status(self, env):
        import status_params
        env.set_params(status_params)
        if status_params.security_enabled:   
        ...
          security_params = get_params_from_filesystem(status_params.config_dir,
                                                       {'zookeeper_jaas.conf': 
FILE_TYPE_JAAS_CONF})



ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/zookeeper_server.py
 (line 132)
<https://reviews.apache.org/r/45141/#comment187334>

    We are not importing params, only status_params (See line#115). Lets keep 
this as is.



ambari-server/src/main/resources/stacks/HDP/2.0.6/properties/stack_features.json
 (line 3)
<https://reviews.apache.org/r/45141/#comment187337>

    I believe max_version for snappy should be 2.2.0.0?


- Jayush Luniya


On March 22, 2016, 1:10 a.m., Juanjo  Marron wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/45141/
> -----------------------------------------------------------
> 
> (Updated March 22, 2016, 1:10 a.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez and Jayush Luniya.
> 
> 
> Bugs: AMBARI-14435
>     https://issues.apache.org/jira/browse/AMBARI-14435
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> Apply the  stack featurization prototype detailed on AMBARI-13364 to 
> ZOOKEEPER service plus the comments and reviews received on:
> https://reviews.apache.org/r/44933/
> 
> This patch removes the hardcoded stack versions in ZK common-services code 
> (centralized version and parameterized stack configurations will be faced in 
> other JIRAS)
> 
> stack_features is now a property in .json format in 
> HDP/2.0.6/properties/stack_features.json
> With the structure:
> {
> "stack_features": [
> { "name": "feature1", "description" : "Feature1 support", "min_version" : 
> "Y.Y.Y.Y" , "max_version" : "X.X.X.X"}
> , 
> ...
> ]
> }
> where min_version/max_version are optional constraints.
> 
> The upgrade constants, such has ROLLING_UPGRADE = "rolling_upgrade" has been 
> added to in a new StackFeature in 
> resource_management/libraries/functions/constants.py
> 
> It is added as part of the HDP stack configurations on 
> /HDP/2.0.6/configuration/cluster-env.xml, introducing a new stack_features 
> property
> 
> New resource_management/libraries/functions/stack_fetaures.py has been 
> introduced to parse the json file and called from service code to check if 
> the stack supports the required feature.
> 
> The stack version used in params_linux.py comparison is  
> stack_version_formatted = hostLevelParams\stack_version
> 
> 
> Diffs
> -----
> 
>   
> ambari-common/src/main/python/resource_management/libraries/functions/constants.py
>  0adaef9 
>   
> ambari-common/src/main/python/resource_management/libraries/functions/stack_features.py
>  PRE-CREATION 
>   
> ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/params_linux.py
>  9ff9125 
>   
> ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/status_params.py
>  9ae8440 
>   
> ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/zookeeper.py
>  5712ce4 
>   
> ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/zookeeper_client.py
>  25ace24 
>   
> ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/zookeeper_server.py
>  d5b6898 
>   
> ambari-server/src/main/resources/common-services/ZOOKEEPER/3.4.5.2.0/package/scripts/zookeeper_service.py
>  6fe0772 
>   
> ambari-server/src/main/resources/stacks/HDP/2.0.6/configuration/cluster-env.xml
>  5f77f48 
>   
> ambari-server/src/main/resources/stacks/HDP/2.0.6/properties/stack_features.json
>  PRE-CREATION 
> 
> Diff: https://reviews.apache.org/r/45141/diff/
> 
> 
> Testing
> -------
> 
> Zookeeper fresh installation on top of latest trunk
> 
> 
> Thanks,
> 
> Juanjo  Marron
> 
>

Reply via email to